Bug 990179 (CVE-2013-4935) - CVE-2013-4935 wireshark: DoS (application crash) in the ASN.1 PER dissector (wnpa-sec-2013-52)
Summary: CVE-2013-4935 wireshark: DoS (application crash) in the ASN.1 PER dissector (...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-4935
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130726,reported=2...
Depends On: 979246 990189 990202 994914 994924 1074904 1074905
Blocks: 974906 990216
TreeView+ depends on / blocked
 
Reported: 2013-07-30 14:07 UTC by Jan Lieskovsky
Modified: 2019-06-08 19:40 UTC (History)
5 users (show)

Fixed In Version: Wireshark 1.8.9, Wireshark 1.10.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-25 16:39:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1569 normal SHIPPED_LIVE Moderate: wireshark security, bug fix, and enhancement update 2013-11-20 21:40:01 UTC
Red Hat Product Errata RHSA-2014:0341 normal SHIPPED_LIVE Moderate: wireshark security update 2014-03-31 20:31:57 UTC

Description Jan Lieskovsky 2013-07-30 14:07:28 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4935 to the following vulnerability:

The dissect_per_length_determinant function in epan/dissectors/packet-per.c in the ASN.1 PER dissector in Wireshark 1.8.x before 1.8.9 and 1.10.x before 1.10.1 does not initialize a length field in certain abnormal situations, which allows remote attackers to cause a denial of service (application crash) via a crafted packet.

References:
[1] http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-per.c?r1=49985&r2=49984&pathrev=49985
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=49985
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.10.1.html
[4] http://www.wireshark.org/docs/relnotes/wireshark-1.8.9.html
[5] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8722
[6] https://www.wireshark.org/security/wnpa-sec-2013-52.html

Comment 1 Jan Lieskovsky 2013-07-30 14:44:11 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-18 [bug 990189]

Comment 2 Huzaifa S. Sidhpurwala 2013-08-08 08:36:59 UTC
Statement:

(none)

Comment 5 Fedora Update System 2013-09-28 00:15:21 UTC
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-10-03 01:06:23 UTC
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2013-11-21 07:33:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1569 https://rhn.redhat.com/errata/RHSA-2013-1569.html

Comment 8 Fedora Update System 2013-12-19 07:13:17 UTC
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2014-03-31 18:01:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0341 https://rhn.redhat.com/errata/RHSA-2014-0341.html


Note You need to log in before you can comment on or make changes to this bug.